<?php require_once "phpuploader/include_phpuploader.php" ?>
<?php

function CheckGuid($str)
{
	if(!preg_match("/^[0-9A-F]{8}-[0-9A-F]{4}-[0-9A-F]{4}-[0-9A-F]{4}-[0-9A-F]{12}$/i",$str))
		throw(new Exception("Invalid Guid : " . $str));
}

function CreateGuid()
	{
		return preg_replace_callback("/X/",create_function("",'return substr("0123456789ABCDEF",rand(0,15),1);'),"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX");
	}
$savefolder="filemanagerfolder/guest";

//download request:
$downloadfile=@$_GET["downloadfile"];
if($downloadfile)
{
	CheckGuid($downloadfile);
	$arr=glob("$savefolder/*." . $downloadfile . ".*");
	foreach($arr as $filepath)
	{
		$filename=substr(basename($filepath),57,-5);
		$extension=strtolower(pathinfo($filename,PATHINFO_EXTENSION));
		switch($extension)
		{
			case "jpeg":
			case "jpg":
				header("Content-Type: image/jpeg");
				break;
			case "gif":
				header("Content-Type: image/gif");
				break;
			case "png":
				header("Content-Type: image/png");
				break;
			default:
				header("Content-Type: application/otc-stream");
				break;
		}
		header("Content-Disposition: attachment; filename=\"$filename\"");
		header('Content-Transfer-Encoding: binary');
		flush();
		readfile($filepath);
		exit(200);
	}
	exit(404);
}

//Ajax request :

$uploader=new PhpUploader();

$guidlist=@$_POST["guidlist"];
if($guidlist)
{
	$guidarray=split("/",$guidlist);

	foreach($guidarray as $fileguid)
	{
		$mvcfile=$uploader->GetUploadedFile($fileguid);
		if(!$mvcfile)
			continue;
		
		$newname=$mvcfile->FileName;
		$newguid=CreateGuid();
		$newtime=date("Y-m-d H-i-s",time());
		$newpath="$savefolder/$newtime.$newguid.$newname.resx";
		rename($mvcfile->FilePath,$newpath);
	}
}

$deleteid=@$_POST["deleteid"];
if($deleteid)
{
	CheckGuid($deleteid);
	$arr=glob("$savefolder/*." . $deleteid . ".*");
	foreach($arr as $delfile)
	{
		unlink($delfile);
	}
}

echo("[");

$files=glob("$savefolder/*.*");
$index=0;
foreach($files as $filepath)
{
	$filename=basename($filepath);
	$parts=split("\\.",$filename);
	
	if($index>0)echo(",");

	echo("{UploadTime:'");echo($parts[0]);echo("'");
	echo(",FileID:'");echo($parts[1]);echo("'");
	echo(",FileName:'");echo(substr($filename,57,-5));echo("'");
	echo(",FileSize:'");echo(filesize($filepath));echo("'");
	echo(",FileUrl:'misc-filemanager-handler.php?downloadfile=");echo($parts[1]);echo("'");
	echo("}");
	
	$index=$index+1;
}

echo("]");

?>
