<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Frameset//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-frameset.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"> 
<head>
    <title>Online Demo - PHP Upload Component, PHP Upload, Multiple File Upload Component, Uploading In PHP, PHP Uploading, Ajax Upload</title>
	<meta name="Keywords" content="PHP Upload,Ajax Upload,ASP upload,Upload Control,Upload component,Multiple File Upload,Uploading In PHP,file upload,file upload component,upload files,upload files web,upload large files,web file upload,http file upload" />
	<meta name="Description" content="PHP Upload Component, Multiple File Upload Component, Ajax Upload" />
    <meta name="robots" content="index, follow" />
    <link rel="stylesheet" href="../main.css" type="text/css" />
</head>
<body>
	<div id="Common">
		<div id="CommonHeader">	
			<table align="center" width="100%" border="0" cellspacing="0" cellpadding="2">
				<tr>
					<td colspan="4" style="text-align:right;font-size: 11px;">						
				        <a href="http://cutesoft.net/forums/" title="PHP Uploader Forums">Forums</a> |
				        <a href="http://cutesoft.net/Support/Default.aspx" target="_blank">Support</a> |
				        <a href="../document/" title="Document">Document</a> |
				        <a href="http://cutesoft.net/About+CuteSoft/Default.aspx" title="About Us">Company</a>
					</td>
				</tr>
				<tr>
					<td>
						<a href="../default.html"><img alt="File Upload" src="../images/upload.png"  border=0 /></a>
					</td>
					<td class="TitleArea" nowrap="true">
						<h1 class="Title"><a href="../default.html">PHP File Uploader</a></h1>
						<div class="TitleDescription">Advanced PHP Upload Solution</div>
					</td>
					<td valign="bottom" style="width:100%;padding-left:100px">
							<script src="http://cutesoft.net/CuteSoft_Client/CuteChat/Support-Image-Button.js.aspx"></script>
							<script id="LiveSupportVisitorMonitorScript" src="http://cutesoft.net/CuteSoft_Client/CuteChat/Support-Visitor-monitor-crossdomain.js.aspx"></script>
					</td>
					<td align="center" valign="bottom" style="width:200px;">
						<a href="../Order.php" title="Buy Now"> <img src="../images/ordernow.gif" alt="Buy Now" border="0" /></a> 
					</td>
				</tr>
			</table>
			<br />
		</div>		
        <div class="nav">
		    <a href="../default.html" title="Home">Home</a><span class="Accent">|</span>        
		    <a href="index.php" title="Online Demo">Online Demo</a><span class="Accent">|</span>       
		    <a href="../Screenshot.html" title="Screenshot">Screenshot</a><span class="Accent">|</span>        
		    <a href="../Features.html" title="Features of PHP upload">Features</a><span class="Accent">|</span>
		    <a href="../FAQ.html">FAQ</a><span class="Accent">|</span>        
		    <a href="../Requirements.html" title="PHP Uploader Requirements">Requirements</a> <span class="Accent">|</span>        
		    <a href="../Order.php" title="Purchase">Pricing</a><span class="Accent">|</span>        
		    <a href="../download/phpfileuploader.zip">Download</a>
        </div>	
        
		<div class="CommonBody">
			<table cellspacing="20" cellpadding="0" width="100%" border="0" height="550">
				<tr>
					<td valign="top">
						<td>
			            <h1>Online Demo</h1>
						<p>In order to assist developers evaluate PHP File Uploader, as well as to provide tools for rapid application development, we supply several samples and online interactive demonstrations.</p>
			            <h3>Form Examples</h3>
						<p>
							<b>1. <a class="example" href="form-singlefile.php" target="_blank">Single File Upload</a></b> <br />
							A basic sample demonstrates the use of the Upload control.
						</p>
						<p>
							<b>2. <a class="example" href="form-multiplefiles.php" target="_blank">Selecting multiple files for upload</a></b> <a href="../movie.html" title="Selecting multiple files Video"><img hspace="10" src="../images/watch_video.gif"  align="absmiddle" border="0"/></a> <br />
							PHP File Uploader allows you to select multiple files and upload multiple files at once.
						</p>
						<p>
							<b>3. <a class="example" href="form-manualstart.php" target="_blank">Start uploading manually</a></b> <br />
							This sample demonstrates how to start uploading manually after file selection vs automatically.
						</p>
						<p>
							<b>4. <a class="example" href="form-keepingstate.php" target="_blank">Keeping state after submitting </a></b> <br />
							A sample demonstrates how to keep uploaded file state during page postbacks.
						</p>
						<h3>Ajax samples</h3>						
						<p>
							<b>5. <a class="example" href="ajax-multiplefiles.php" target="_blank">Selecting multiple files for upload</a></b><br />
							PHP File Uploader allows you to select multiple files and upload multiple files at once.
						</p>
						<p>
							<b>6. <a class="example" href="ajax-attachments.php" target="_blank">Building attachment table</a></b> <br />
							This sample demonstrates how to build your own attachment table.
						</p>
						<h3>Misc samples</h3>
						<p>
							<b>7. <a class="example" href="misc-customui.php" target="_blank">Customizing the UI</a></b> <br />
							A sample demonstrates how to customize the look and feel of file upload controls. 
						</p>
						<p>
							<b>9. <a class="example" href="misc-customvalidation.php" target="_blank">Custom Validation</a></b> <br />
							A sample demonstrates how to create user-defined validation functions for an upload control.
						</p>
                        <p>
                            <b>10. <a class="example" href="misc-filemanager.php" target="_blank">File storage application powered by Ajax</a></b> <br />
                            This example shows you how to use PHP File Uploader create an online file storage application. Make your file upload page more user friendly!
                        </p>
					</td>
					<td width="150" valign="top">
						<div style="padding: 5px;width:140;">
							<a href="download/phpfileuploader.zip" title="Download PHP File Uploader"><img border="0" src="../images/download.gif" /></a> 
						</div>	
					</td>
				</tr>
			</table>
			<div id="footer">
				<a href="http://phpfileuploader.com">Copyright 2003-2009 PHP File Uploader. All rights reserved.</a> | 
                <a href="http://AjaxUploader.com/">Ajax Uploader for ASP.NET</a>
			</div>
		</div>
	</div>
</body>
</html>